package sgc.portal.ei.eicom.service;

import java.util.List;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.eicom.dto.EICOMSearch;
import sgc.portal.ei.eicom.persistence.EICOMMapper;

@Service
public class EICOMService {
    private final EICOMMapper mapper;

    public EICOMService(EICOMMapper mapper) {
        this.mapper = mapper;
    }
    
    /*
     * 마감체크(월별)
     */
    public List<EasyHashMap<String, Object>> chackCloseEis(EICOMSearch search) {
        return mapper.chackCloseEis(search);
    }
    
    /*
     * 마감체크(최종월)
     */
    public List<EasyHashMap<String, Object>> chackCloseEisMm(EICOMSearch search) {
        return mapper.chackCloseEisMm(search);
    }
    
}
